# $Revision: 1.24 $, $Date: 2010/12/11 21:37:59 $
%define		_modname	uuid
%define		_status		stable
Summary:	%{_modname} - UUID support functions
Summary(pl.UTF-8):	%{_modname} - funkcje obsługujące UUID
Name:		php-pecl-%{_modname}
Version:	1.0.2
Release:	3
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	c45246bccdaf5e77934be47637627e7f
URL:		http://pecl.php.net/package/uuid/
BuildRequires:	libuuid-devel
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.344
%{?requires_php_extension}
Requires:	php-common >= 4:5.0.4
Obsoletes:	php-pear-%{_modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This extension provides functions to generate and analyse universally
unique identifiers (UUIDs). It depends on external libuuid. This
library is available on most linux systems, its source is bundled with
ext2fs tools.

In PECL status of this package is: %{_status}.

%description -l pl.UTF-8
To rozszerzenie dostarcza funkcje do generowania i analizy
uniwersalnie unikalnych identyfikatorów (ang. UUIDs). Rozszerznie to
wymaga zewnętrznej biblioteki libuuid, dostępnej w większości
dystrybucji, której źródło jest dostarczane wraz z narzędziami ext2fs.

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c

%build
cd %{_modname}-%{version}
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install %{_modname}-%{version}/modules/%{_modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{_modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-uuid.spec,v $
Revision 1.24  2010/12/11 21:37:59  arekm
- release 3

Revision 1.23  2010/06/02 15:53:53  glen
- release 2

Revision 1.22  2009/04/26 17:17:17  adamg
- license fixes Andrzej Mateja <amateja () pimpek.one.pl>

Revision 1.21  2008/10/14 22:29:13  baggins
- up to 1.0.2

Revision 1.20  2007/02/13 08:06:40  glen
- tabs in preamble

Revision 1.19  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.18  2007/01/02 20:10:21  glen
- use new php extension related macros

Revision 1.17  2006/12/13 23:48:54  glen
- rel 6 (php 5.2.0)

Revision 1.16  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.15  2005/12/22 12:12:04  glen
- rel 5 (rebuild with new php)

Revision 1.14  2005/10/30 13:29:27  glen
- rel 4

Revision 1.13  2005/10/29 00:05:14  glen
- rebuild with zts and debug requires

Revision 1.12  2005/09/14 22:38:21  glen
- rel 2

Revision 1.11  2005/09/14 13:37:00  glen
- conf.d and php api macros

Revision 1.10  2005/09/13 21:16:43  glen
- superfluous BR libtool removed

Revision 1.9  2004/05/30 16:01:55  adamg
- fixed english information about status of the package (also s/PEAR/PECL/)

Revision 1.8  2004/03/28 10:06:44  adamg
- status changed to stable

Revision 1.7  2004/03/28 10:04:50  adamg
- updated to 1.0

Revision 1.6  2003/10/15 17:37:04  adamg
- it finally happened - PECL separated from PEAR and moved to its own
  repository, thus changes in urls (s/pear/pecl/)

Revision 1.5  2003/10/09 14:39:33  qboosh
- s/e2fsprogs-devel/libuuid-devel/

Revision 1.4  2003/10/07 20:57:04  adamg
- do not use macros in URL

Revision 1.3  2003/08/31 20:49:12  adamg
- more specific URL

Revision 1.2  2003/07/04 18:31:10  qboosh
- pl fixes

Revision 1.1  2003/07/03 22:48:00  adamg
- initial import
